\documentclass[10pt,a4paper]{report}
\usepackage[top=3cm, bottom=2.5cm, left=3cm, right=2.5cm] {geometry}
\usepackage {bsymb,b2latex}
\usepackage[utf8]{inputenc}
\usepackage{fancyhdr,lastpage,color}
\lhead{\rm An Event-B Specification of Algorithm}
\rhead {\rm Page \thepage~of \pageref{LastPage}}
\lfoot{}\cfoot{}\rfoot{}
\pagestyle{fancy}
%---------------------------------------------------------
\begin{document}
\thispagestyle{empty}
\begin{description}
\BTitle{Algorithm}{11Dec2016}{09:45:08 PM}
\MACHINE{Algorithm}
\SEES{Context}
\VARIABLES
	\begin{description}
		\Item{ pc }
		\Item{ x }
		\Item{ z }
		\Item{ y }
	\end{description}
\INVARIANTS
	\begin{description}
		\nItem{ inv1 }{ pc \in  LOCATIONS }
		\nItem{ inv2 }{ x \in  \intg   }
		\nItem{ inv3 }{ z \in  \intg   }
		\nItem{ inv4 }{ y \in  \intg   }
		\nItem{ inv5 }{ pc=l1 \limp  x=10 \land  y=z+x\land  z=2* x }
		\nItem{ inv6 }{ pc=l2 \limp  x=10 \land y=x+2* 10 }
		\nItem{ pre }{ pc=l1 \land  x=10 \land  z=2* x \land  y=z+x \limp  x=10 \land  z=2* x \land  y =z+x }
		\nItem{ post }{ pc=l2 \limp  (x=10\land  y=x+2* 10 \limp  x=10\land y=x+2* 10) }
	\end{description}
\EVENTS
	\INITIALISATION
		\begin{description}
		\BeginAct
			\begin{description}
			\nItem{ act1 }{ pc :=  l1 }
			\nItem{ act2 }{ x,y,z :| (x'=10\land z'=2* x' \land  y'=z'+x') }
			\end{description}
		\EndAct
		\end{description}
	\EVT {al1l2}\cmt{		\\\hspace*{1,6 cm}  action de l1 vers l2 }
		\begin{description}
		\WhenGrd
			\begin{description}
			\nItem{ grd1 }{ pc=l1 }
			\end{description}
		\ThenAct
			\begin{description}
			\nItem{ act1 }{ pc:= l2 }
			\nItem{ act2 }{ y:= z+x }
			\end{description}
		\EndAct
		\end{description}
\END
\end{description}
\end{document}
